### YamlMime:ManagedReference
items:
- uid: Voile.InputSystem
  commentId: T:Voile.InputSystem
  id: InputSystem
  parent: Voile
  children:
  - Voile.InputSystem.AddInputMapping(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction})
  - Voile.InputSystem.Dispose
  - Voile.InputSystem.GetCharPressed
  - Voile.InputSystem.GetInputDirection(System.String,System.String,System.String,System.String)
  - Voile.InputSystem.GetInputDirection(Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey)
  - Voile.InputSystem.GetMousePosition
  - Voile.InputSystem.GetMouseWheelMovement
  - Voile.InputSystem.Handled
  - Voile.InputSystem.HideCursor
  - Voile.InputSystem.InputMappings
  - Voile.InputSystem.IsActionDown(System.String)
  - Voile.InputSystem.IsActionPressed(System.String)
  - Voile.InputSystem.IsActionReleased(System.String)
  - Voile.InputSystem.IsCursorHidden
  - Voile.InputSystem.IsKeyboardKeyDown(Voile.KeyboardKey)
  - Voile.InputSystem.IsMouseButtonDown(Voile.MouseButton)
  - Voile.InputSystem.KeyboardKeyJustPressed(Voile.KeyboardKey)
  - Voile.InputSystem.KeyboardKeyJustReleased(Voile.KeyboardKey)
  - Voile.InputSystem.SetAsHandled
  - Voile.InputSystem.SetMousePosition(System.Numerics.Vector2)
  - Voile.InputSystem.ShowCursor
  - Voile.InputSystem.Shutdown
  - Voile.InputSystem.Start
  - Voile.InputSystem.TryGetInputMappings(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction}@)
  - Voile.InputSystem.inputMappings
  langs:
  - csharp
  - vb
  name: InputSystem
  nameWithType: InputSystem
  fullName: Voile.InputSystem
  type: Class
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: InputSystem
    path: Source/Systems/InputSystem.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile
  summary: A system providing means for collecting user input, as well as defining custom <xref href="Voile.InputAction" data-throw-if-not-resolved="false"></xref> list.
  example: []
  syntax:
    content: 'public abstract class InputSystem : IStartableSystem, IDisposable'
    content.vb: Public MustInherit Class InputSystem Implements IStartableSystem, IDisposable
  inheritance:
  - System.Object
  derivedClasses:
  - Voile.RaylibInputSystem
  implements:
  - IStartableSystem
  - System.IDisposable
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.InputSystem.InputMappings
  commentId: P:Voile.InputSystem.InputMappings
  id: InputMappings
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: InputMappings
  nameWithType: InputSystem.InputMappings
  fullName: Voile.InputSystem.InputMappings
  type: Property
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: InputMappings
    path: Source/Systems/InputSystem.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile
  summary: The list of all available input mappings, custom and built-in.
  example: []
  syntax:
    content: public static IReadOnlyDictionary<string, List<InputAction>> InputMappings { get; }
    parameters: []
    return:
      type: System.Collections.Generic.IReadOnlyDictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
    content.vb: Public Shared ReadOnly Property InputMappings As IReadOnlyDictionary(Of String, List(Of InputAction))
  overload: Voile.InputSystem.InputMappings*
- uid: Voile.InputSystem.Start
  commentId: M:Voile.InputSystem.Start
  id: Start
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: Start()
  nameWithType: InputSystem.Start()
  fullName: Voile.InputSystem.Start()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Start
    path: Source/Systems/InputSystem.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile
  example: []
  syntax:
    content: public void Start()
    content.vb: Public Sub Start()
  overload: Voile.InputSystem.Start*
  implements:
  - IStartableSystem.Start
- uid: Voile.InputSystem.Shutdown
  commentId: M:Voile.InputSystem.Shutdown
  id: Shutdown
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: Shutdown()
  nameWithType: InputSystem.Shutdown()
  fullName: Voile.InputSystem.Shutdown()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Shutdown
    path: Source/Systems/InputSystem.cs
    startLine: 22
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public void Shutdown()
    content.vb: Public Sub Shutdown()
  overload: Voile.InputSystem.Shutdown*
- uid: Voile.InputSystem.Dispose
  commentId: M:Voile.InputSystem.Dispose
  id: Dispose
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: Dispose()
  nameWithType: InputSystem.Dispose()
  fullName: Voile.InputSystem.Dispose()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Dispose
    path: Source/Systems/InputSystem.cs
    startLine: 24
  assemblies:
  - Voile
  namespace: Voile
  summary: Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
  example: []
  syntax:
    content: public void Dispose()
    content.vb: Public Sub Dispose()
  overload: Voile.InputSystem.Dispose*
  implements:
  - System.IDisposable.Dispose
- uid: Voile.InputSystem.Handled
  commentId: P:Voile.InputSystem.Handled
  id: Handled
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: Handled
  nameWithType: InputSystem.Handled
  fullName: Voile.InputSystem.Handled
  type: Property
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Handled
    path: Source/Systems/InputSystem.cs
    startLine: 26
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public bool Handled { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Handled As Boolean
  overload: Voile.InputSystem.Handled*
- uid: Voile.InputSystem.IsKeyboardKeyDown(Voile.KeyboardKey)
  commentId: M:Voile.InputSystem.IsKeyboardKeyDown(Voile.KeyboardKey)
  id: IsKeyboardKeyDown(Voile.KeyboardKey)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsKeyboardKeyDown(KeyboardKey)
  nameWithType: InputSystem.IsKeyboardKeyDown(KeyboardKey)
  fullName: Voile.InputSystem.IsKeyboardKeyDown(Voile.KeyboardKey)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsKeyboardKeyDown
    path: Source/Systems/InputSystem.cs
    startLine: 27
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsKeyboardKeyDown(KeyboardKey key)
    parameters:
    - id: key
      type: Voile.KeyboardKey
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsKeyboardKeyDown(key As KeyboardKey) As Boolean
  overload: Voile.InputSystem.IsKeyboardKeyDown*
- uid: Voile.InputSystem.KeyboardKeyJustPressed(Voile.KeyboardKey)
  commentId: M:Voile.InputSystem.KeyboardKeyJustPressed(Voile.KeyboardKey)
  id: KeyboardKeyJustPressed(Voile.KeyboardKey)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: KeyboardKeyJustPressed(KeyboardKey)
  nameWithType: InputSystem.KeyboardKeyJustPressed(KeyboardKey)
  fullName: Voile.InputSystem.KeyboardKeyJustPressed(Voile.KeyboardKey)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: KeyboardKeyJustPressed
    path: Source/Systems/InputSystem.cs
    startLine: 28
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool KeyboardKeyJustPressed(KeyboardKey key)
    parameters:
    - id: key
      type: Voile.KeyboardKey
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function KeyboardKeyJustPressed(key As KeyboardKey) As Boolean
  overload: Voile.InputSystem.KeyboardKeyJustPressed*
- uid: Voile.InputSystem.KeyboardKeyJustReleased(Voile.KeyboardKey)
  commentId: M:Voile.InputSystem.KeyboardKeyJustReleased(Voile.KeyboardKey)
  id: KeyboardKeyJustReleased(Voile.KeyboardKey)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: KeyboardKeyJustReleased(KeyboardKey)
  nameWithType: InputSystem.KeyboardKeyJustReleased(KeyboardKey)
  fullName: Voile.InputSystem.KeyboardKeyJustReleased(Voile.KeyboardKey)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: KeyboardKeyJustReleased
    path: Source/Systems/InputSystem.cs
    startLine: 29
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool KeyboardKeyJustReleased(KeyboardKey key)
    parameters:
    - id: key
      type: Voile.KeyboardKey
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function KeyboardKeyJustReleased(key As KeyboardKey) As Boolean
  overload: Voile.InputSystem.KeyboardKeyJustReleased*
- uid: Voile.InputSystem.GetInputDirection(Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey)
  commentId: M:Voile.InputSystem.GetInputDirection(Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey)
  id: GetInputDirection(Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey,Voile.KeyboardKey)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: GetInputDirection(KeyboardKey, KeyboardKey, KeyboardKey, KeyboardKey)
  nameWithType: InputSystem.GetInputDirection(KeyboardKey, KeyboardKey, KeyboardKey, KeyboardKey)
  fullName: Voile.InputSystem.GetInputDirection(Voile.KeyboardKey, Voile.KeyboardKey, Voile.KeyboardKey, Voile.KeyboardKey)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetInputDirection
    path: Source/Systems/InputSystem.cs
    startLine: 30
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract Vector2 GetInputDirection(KeyboardKey leftKey, KeyboardKey rightKey, KeyboardKey upKey, KeyboardKey downKey)
    parameters:
    - id: leftKey
      type: Voile.KeyboardKey
    - id: rightKey
      type: Voile.KeyboardKey
    - id: upKey
      type: Voile.KeyboardKey
    - id: downKey
      type: Voile.KeyboardKey
    return:
      type: System.Numerics.Vector2
    content.vb: Public MustOverride Function GetInputDirection(leftKey As KeyboardKey, rightKey As KeyboardKey, upKey As KeyboardKey, downKey As KeyboardKey) As Vector2
  overload: Voile.InputSystem.GetInputDirection*
- uid: Voile.InputSystem.GetInputDirection(System.String,System.String,System.String,System.String)
  commentId: M:Voile.InputSystem.GetInputDirection(System.String,System.String,System.String,System.String)
  id: GetInputDirection(System.String,System.String,System.String,System.String)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: GetInputDirection(string, string, string, string)
  nameWithType: InputSystem.GetInputDirection(string, string, string, string)
  fullName: Voile.InputSystem.GetInputDirection(string, string, string, string)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetInputDirection
    path: Source/Systems/InputSystem.cs
    startLine: 31
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract Vector2 GetInputDirection(string leftAction, string rightAction, string upAction, string downAction)
    parameters:
    - id: leftAction
      type: System.String
    - id: rightAction
      type: System.String
    - id: upAction
      type: System.String
    - id: downAction
      type: System.String
    return:
      type: System.Numerics.Vector2
    content.vb: Public MustOverride Function GetInputDirection(leftAction As String, rightAction As String, upAction As String, downAction As String) As Vector2
  overload: Voile.InputSystem.GetInputDirection*
  nameWithType.vb: InputSystem.GetInputDirection(String, String, String, String)
  fullName.vb: Voile.InputSystem.GetInputDirection(String, String, String, String)
  name.vb: GetInputDirection(String, String, String, String)
- uid: Voile.InputSystem.GetCharPressed
  commentId: M:Voile.InputSystem.GetCharPressed
  id: GetCharPressed
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: GetCharPressed()
  nameWithType: InputSystem.GetCharPressed()
  fullName: Voile.InputSystem.GetCharPressed()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetCharPressed
    path: Source/Systems/InputSystem.cs
    startLine: 32
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract int GetCharPressed()
    return:
      type: System.Int32
    content.vb: Public MustOverride Function GetCharPressed() As Integer
  overload: Voile.InputSystem.GetCharPressed*
- uid: Voile.InputSystem.IsActionDown(System.String)
  commentId: M:Voile.InputSystem.IsActionDown(System.String)
  id: IsActionDown(System.String)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsActionDown(string)
  nameWithType: InputSystem.IsActionDown(string)
  fullName: Voile.InputSystem.IsActionDown(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsActionDown
    path: Source/Systems/InputSystem.cs
    startLine: 34
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsActionDown(string action)
    parameters:
    - id: action
      type: System.String
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsActionDown(action As String) As Boolean
  overload: Voile.InputSystem.IsActionDown*
  nameWithType.vb: InputSystem.IsActionDown(String)
  fullName.vb: Voile.InputSystem.IsActionDown(String)
  name.vb: IsActionDown(String)
- uid: Voile.InputSystem.IsActionPressed(System.String)
  commentId: M:Voile.InputSystem.IsActionPressed(System.String)
  id: IsActionPressed(System.String)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsActionPressed(string)
  nameWithType: InputSystem.IsActionPressed(string)
  fullName: Voile.InputSystem.IsActionPressed(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsActionPressed
    path: Source/Systems/InputSystem.cs
    startLine: 35
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsActionPressed(string action)
    parameters:
    - id: action
      type: System.String
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsActionPressed(action As String) As Boolean
  overload: Voile.InputSystem.IsActionPressed*
  nameWithType.vb: InputSystem.IsActionPressed(String)
  fullName.vb: Voile.InputSystem.IsActionPressed(String)
  name.vb: IsActionPressed(String)
- uid: Voile.InputSystem.IsActionReleased(System.String)
  commentId: M:Voile.InputSystem.IsActionReleased(System.String)
  id: IsActionReleased(System.String)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsActionReleased(string)
  nameWithType: InputSystem.IsActionReleased(string)
  fullName: Voile.InputSystem.IsActionReleased(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsActionReleased
    path: Source/Systems/InputSystem.cs
    startLine: 36
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsActionReleased(string action)
    parameters:
    - id: action
      type: System.String
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsActionReleased(action As String) As Boolean
  overload: Voile.InputSystem.IsActionReleased*
  nameWithType.vb: InputSystem.IsActionReleased(String)
  fullName.vb: Voile.InputSystem.IsActionReleased(String)
  name.vb: IsActionReleased(String)
- uid: Voile.InputSystem.IsMouseButtonDown(Voile.MouseButton)
  commentId: M:Voile.InputSystem.IsMouseButtonDown(Voile.MouseButton)
  id: IsMouseButtonDown(Voile.MouseButton)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsMouseButtonDown(MouseButton)
  nameWithType: InputSystem.IsMouseButtonDown(MouseButton)
  fullName: Voile.InputSystem.IsMouseButtonDown(Voile.MouseButton)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsMouseButtonDown
    path: Source/Systems/InputSystem.cs
    startLine: 38
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsMouseButtonDown(MouseButton button)
    parameters:
    - id: button
      type: Voile.MouseButton
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsMouseButtonDown(button As MouseButton) As Boolean
  overload: Voile.InputSystem.IsMouseButtonDown*
- uid: Voile.InputSystem.GetMouseWheelMovement
  commentId: M:Voile.InputSystem.GetMouseWheelMovement
  id: GetMouseWheelMovement
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: GetMouseWheelMovement()
  nameWithType: InputSystem.GetMouseWheelMovement()
  fullName: Voile.InputSystem.GetMouseWheelMovement()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetMouseWheelMovement
    path: Source/Systems/InputSystem.cs
    startLine: 39
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract float GetMouseWheelMovement()
    return:
      type: System.Single
    content.vb: Public MustOverride Function GetMouseWheelMovement() As Single
  overload: Voile.InputSystem.GetMouseWheelMovement*
- uid: Voile.InputSystem.SetMousePosition(System.Numerics.Vector2)
  commentId: M:Voile.InputSystem.SetMousePosition(System.Numerics.Vector2)
  id: SetMousePosition(System.Numerics.Vector2)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: SetMousePosition(Vector2)
  nameWithType: InputSystem.SetMousePosition(Vector2)
  fullName: Voile.InputSystem.SetMousePosition(System.Numerics.Vector2)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SetMousePosition
    path: Source/Systems/InputSystem.cs
    startLine: 40
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract void SetMousePosition(Vector2 position)
    parameters:
    - id: position
      type: System.Numerics.Vector2
    content.vb: Public MustOverride Sub SetMousePosition(position As Vector2)
  overload: Voile.InputSystem.SetMousePosition*
- uid: Voile.InputSystem.GetMousePosition
  commentId: M:Voile.InputSystem.GetMousePosition
  id: GetMousePosition
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: GetMousePosition()
  nameWithType: InputSystem.GetMousePosition()
  fullName: Voile.InputSystem.GetMousePosition()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: GetMousePosition
    path: Source/Systems/InputSystem.cs
    startLine: 41
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract Vector2 GetMousePosition()
    return:
      type: System.Numerics.Vector2
    content.vb: Public MustOverride Function GetMousePosition() As Vector2
  overload: Voile.InputSystem.GetMousePosition*
- uid: Voile.InputSystem.HideCursor
  commentId: M:Voile.InputSystem.HideCursor
  id: HideCursor
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: HideCursor()
  nameWithType: InputSystem.HideCursor()
  fullName: Voile.InputSystem.HideCursor()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: HideCursor
    path: Source/Systems/InputSystem.cs
    startLine: 42
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract void HideCursor()
    content.vb: Public MustOverride Sub HideCursor()
  overload: Voile.InputSystem.HideCursor*
- uid: Voile.InputSystem.ShowCursor
  commentId: M:Voile.InputSystem.ShowCursor
  id: ShowCursor
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: ShowCursor()
  nameWithType: InputSystem.ShowCursor()
  fullName: Voile.InputSystem.ShowCursor()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ShowCursor
    path: Source/Systems/InputSystem.cs
    startLine: 43
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract void ShowCursor()
    content.vb: Public MustOverride Sub ShowCursor()
  overload: Voile.InputSystem.ShowCursor*
- uid: Voile.InputSystem.IsCursorHidden
  commentId: M:Voile.InputSystem.IsCursorHidden
  id: IsCursorHidden
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: IsCursorHidden()
  nameWithType: InputSystem.IsCursorHidden()
  fullName: Voile.InputSystem.IsCursorHidden()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsCursorHidden
    path: Source/Systems/InputSystem.cs
    startLine: 44
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public abstract bool IsCursorHidden()
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsCursorHidden() As Boolean
  overload: Voile.InputSystem.IsCursorHidden*
- uid: Voile.InputSystem.SetAsHandled
  commentId: M:Voile.InputSystem.SetAsHandled
  id: SetAsHandled
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: SetAsHandled()
  nameWithType: InputSystem.SetAsHandled()
  fullName: Voile.InputSystem.SetAsHandled()
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SetAsHandled
    path: Source/Systems/InputSystem.cs
    startLine: 46
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public void SetAsHandled()
    content.vb: Public Sub SetAsHandled()
  overload: Voile.InputSystem.SetAsHandled*
- uid: Voile.InputSystem.AddInputMapping(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction})
  commentId: M:Voile.InputSystem.AddInputMapping(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction})
  id: AddInputMapping(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction})
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: AddInputMapping(string, IEnumerable<InputAction>)
  nameWithType: InputSystem.AddInputMapping(string, IEnumerable<InputAction>)
  fullName: Voile.InputSystem.AddInputMapping(string, System.Collections.Generic.IEnumerable<Voile.InputAction>)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AddInputMapping
    path: Source/Systems/InputSystem.cs
    startLine: 48
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public void AddInputMapping(string actionName, IEnumerable<InputAction> inputActions)
    parameters:
    - id: actionName
      type: System.String
    - id: inputActions
      type: System.Collections.Generic.IEnumerable{Voile.InputAction}
    content.vb: Public Sub AddInputMapping(actionName As String, inputActions As IEnumerable(Of InputAction))
  overload: Voile.InputSystem.AddInputMapping*
  nameWithType.vb: InputSystem.AddInputMapping(String, IEnumerable(Of InputAction))
  fullName.vb: Voile.InputSystem.AddInputMapping(String, System.Collections.Generic.IEnumerable(Of Voile.InputAction))
  name.vb: AddInputMapping(String, IEnumerable(Of InputAction))
- uid: Voile.InputSystem.TryGetInputMappings(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction}@)
  commentId: M:Voile.InputSystem.TryGetInputMappings(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction}@)
  id: TryGetInputMappings(System.String,System.Collections.Generic.IEnumerable{Voile.InputAction}@)
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: TryGetInputMappings(string, out IEnumerable<InputAction>?)
  nameWithType: InputSystem.TryGetInputMappings(string, out IEnumerable<InputAction>?)
  fullName: Voile.InputSystem.TryGetInputMappings(string, out System.Collections.Generic.IEnumerable<Voile.InputAction>?)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TryGetInputMappings
    path: Source/Systems/InputSystem.cs
    startLine: 73
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: protected bool TryGetInputMappings(string forAction, out IEnumerable<InputAction>? inputActions)
    parameters:
    - id: forAction
      type: System.String
    - id: inputActions
      type: System.Collections.Generic.IEnumerable{Voile.InputAction}
    return:
      type: System.Boolean
    content.vb: Protected Function TryGetInputMappings(forAction As String, inputActions As IEnumerable(Of InputAction)) As Boolean
  overload: Voile.InputSystem.TryGetInputMappings*
  nameWithType.vb: InputSystem.TryGetInputMappings(String, IEnumerable(Of InputAction))
  fullName.vb: Voile.InputSystem.TryGetInputMappings(String, System.Collections.Generic.IEnumerable(Of Voile.InputAction))
  name.vb: TryGetInputMappings(String, IEnumerable(Of InputAction))
- uid: Voile.InputSystem.inputMappings
  commentId: F:Voile.InputSystem.inputMappings
  id: inputMappings
  parent: Voile.InputSystem
  langs:
  - csharp
  - vb
  name: inputMappings
  nameWithType: InputSystem.inputMappings
  fullName: Voile.InputSystem.inputMappings
  type: Field
  source:
    remote:
      path: Voile/Source/Systems/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: inputMappings
    path: Source/Systems/InputSystem.cs
    startLine: 89
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: protected static Dictionary<string, List<InputAction>> inputMappings
    return:
      type: System.Collections.Generic.Dictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
    content.vb: Protected Shared inputMappings As Dictionary(Of String, List(Of InputAction))
references:
- uid: Voile.InputAction
  commentId: T:Voile.InputAction
  parent: Voile
  href: Voile.InputAction.html
  name: InputAction
  nameWithType: InputAction
  fullName: Voile.InputAction
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: IStartableSystem
  commentId: T:IStartableSystem
  href: IStartableSystem.html
  name: IStartableSystem
  nameWithType: IStartableSystem
  fullName: IStartableSystem
- uid: System.IDisposable
  commentId: T:System.IDisposable
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable
  name: IDisposable
  nameWithType: IDisposable
  fullName: System.IDisposable
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.InputSystem.InputMappings*
  commentId: Overload:Voile.InputSystem.InputMappings
  href: Voile.InputSystem.html#Voile_InputSystem_InputMappings
  name: InputMappings
  nameWithType: InputSystem.InputMappings
  fullName: Voile.InputSystem.InputMappings
- uid: System.Collections.Generic.IReadOnlyDictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
  commentId: T:System.Collections.Generic.IReadOnlyDictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IReadOnlyDictionary`2
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  name: IReadOnlyDictionary<string, List<InputAction>>
  nameWithType: IReadOnlyDictionary<string, List<InputAction>>
  fullName: System.Collections.Generic.IReadOnlyDictionary<string, System.Collections.Generic.List<Voile.InputAction>>
  nameWithType.vb: IReadOnlyDictionary(Of String, List(Of InputAction))
  fullName.vb: System.Collections.Generic.IReadOnlyDictionary(Of String, System.Collections.Generic.List(Of Voile.InputAction))
  name.vb: IReadOnlyDictionary(Of String, List(Of InputAction))
  spec.csharp:
  - uid: System.Collections.Generic.IReadOnlyDictionary`2
    name: IReadOnlyDictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: '>'
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IReadOnlyDictionary`2
    name: IReadOnlyDictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: )
  - name: )
- uid: System.Collections.Generic.IReadOnlyDictionary`2
  commentId: T:System.Collections.Generic.IReadOnlyDictionary`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  name: IReadOnlyDictionary<TKey, TValue>
  nameWithType: IReadOnlyDictionary<TKey, TValue>
  fullName: System.Collections.Generic.IReadOnlyDictionary<TKey, TValue>
  nameWithType.vb: IReadOnlyDictionary(Of TKey, TValue)
  fullName.vb: System.Collections.Generic.IReadOnlyDictionary(Of TKey, TValue)
  name.vb: IReadOnlyDictionary(Of TKey, TValue)
  spec.csharp:
  - uid: System.Collections.Generic.IReadOnlyDictionary`2
    name: IReadOnlyDictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  - name: <
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IReadOnlyDictionary`2
    name: IReadOnlyDictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ireadonlydictionary-2
  - name: (
  - name: Of
  - name: " "
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: Voile.InputSystem.Start*
  commentId: Overload:Voile.InputSystem.Start
  href: Voile.InputSystem.html#Voile_InputSystem_Start
  name: Start
  nameWithType: InputSystem.Start
  fullName: Voile.InputSystem.Start
- uid: IStartableSystem.Start
  commentId: M:IStartableSystem.Start
  parent: IStartableSystem
  href: IStartableSystem.html#IStartableSystem_Start
  name: Start()
  nameWithType: IStartableSystem.Start()
  fullName: IStartableSystem.Start()
  spec.csharp:
  - uid: IStartableSystem.Start
    name: Start
    href: IStartableSystem.html#IStartableSystem_Start
  - name: (
  - name: )
  spec.vb:
  - uid: IStartableSystem.Start
    name: Start
    href: IStartableSystem.html#IStartableSystem_Start
  - name: (
  - name: )
- uid: Voile.InputSystem.Shutdown*
  commentId: Overload:Voile.InputSystem.Shutdown
  href: Voile.InputSystem.html#Voile_InputSystem_Shutdown
  name: Shutdown
  nameWithType: InputSystem.Shutdown
  fullName: Voile.InputSystem.Shutdown
- uid: Voile.InputSystem.Dispose*
  commentId: Overload:Voile.InputSystem.Dispose
  href: Voile.InputSystem.html#Voile_InputSystem_Dispose
  name: Dispose
  nameWithType: InputSystem.Dispose
  fullName: Voile.InputSystem.Dispose
- uid: System.IDisposable.Dispose
  commentId: M:System.IDisposable.Dispose
  parent: System.IDisposable
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  name: Dispose()
  nameWithType: IDisposable.Dispose()
  fullName: System.IDisposable.Dispose()
  spec.csharp:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
  spec.vb:
  - uid: System.IDisposable.Dispose
    name: Dispose
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.idisposable.dispose
  - name: (
  - name: )
- uid: Voile.InputSystem.Handled*
  commentId: Overload:Voile.InputSystem.Handled
  href: Voile.InputSystem.html#Voile_InputSystem_Handled
  name: Handled
  nameWithType: InputSystem.Handled
  fullName: Voile.InputSystem.Handled
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.InputSystem.IsKeyboardKeyDown*
  commentId: Overload:Voile.InputSystem.IsKeyboardKeyDown
  href: Voile.InputSystem.html#Voile_InputSystem_IsKeyboardKeyDown_Voile_KeyboardKey_
  name: IsKeyboardKeyDown
  nameWithType: InputSystem.IsKeyboardKeyDown
  fullName: Voile.InputSystem.IsKeyboardKeyDown
- uid: Voile.KeyboardKey
  commentId: T:Voile.KeyboardKey
  parent: Voile
  href: Voile.KeyboardKey.html
  name: KeyboardKey
  nameWithType: KeyboardKey
  fullName: Voile.KeyboardKey
- uid: Voile.InputSystem.KeyboardKeyJustPressed*
  commentId: Overload:Voile.InputSystem.KeyboardKeyJustPressed
  href: Voile.InputSystem.html#Voile_InputSystem_KeyboardKeyJustPressed_Voile_KeyboardKey_
  name: KeyboardKeyJustPressed
  nameWithType: InputSystem.KeyboardKeyJustPressed
  fullName: Voile.InputSystem.KeyboardKeyJustPressed
- uid: Voile.InputSystem.KeyboardKeyJustReleased*
  commentId: Overload:Voile.InputSystem.KeyboardKeyJustReleased
  href: Voile.InputSystem.html#Voile_InputSystem_KeyboardKeyJustReleased_Voile_KeyboardKey_
  name: KeyboardKeyJustReleased
  nameWithType: InputSystem.KeyboardKeyJustReleased
  fullName: Voile.InputSystem.KeyboardKeyJustReleased
- uid: Voile.InputSystem.GetInputDirection*
  commentId: Overload:Voile.InputSystem.GetInputDirection
  href: Voile.InputSystem.html#Voile_InputSystem_GetInputDirection_Voile_KeyboardKey_Voile_KeyboardKey_Voile_KeyboardKey_Voile_KeyboardKey_
  name: GetInputDirection
  nameWithType: InputSystem.GetInputDirection
  fullName: Voile.InputSystem.GetInputDirection
- uid: System.Numerics.Vector2
  commentId: T:System.Numerics.Vector2
  parent: System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  name: Vector2
  nameWithType: Vector2
  fullName: System.Numerics.Vector2
- uid: System.Numerics
  commentId: N:System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Numerics
  nameWithType: System.Numerics
  fullName: System.Numerics
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.InputSystem.GetCharPressed*
  commentId: Overload:Voile.InputSystem.GetCharPressed
  href: Voile.InputSystem.html#Voile_InputSystem_GetCharPressed
  name: GetCharPressed
  nameWithType: InputSystem.GetCharPressed
  fullName: Voile.InputSystem.GetCharPressed
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.InputSystem.IsActionDown*
  commentId: Overload:Voile.InputSystem.IsActionDown
  href: Voile.InputSystem.html#Voile_InputSystem_IsActionDown_System_String_
  name: IsActionDown
  nameWithType: InputSystem.IsActionDown
  fullName: Voile.InputSystem.IsActionDown
- uid: Voile.InputSystem.IsActionPressed*
  commentId: Overload:Voile.InputSystem.IsActionPressed
  href: Voile.InputSystem.html#Voile_InputSystem_IsActionPressed_System_String_
  name: IsActionPressed
  nameWithType: InputSystem.IsActionPressed
  fullName: Voile.InputSystem.IsActionPressed
- uid: Voile.InputSystem.IsActionReleased*
  commentId: Overload:Voile.InputSystem.IsActionReleased
  href: Voile.InputSystem.html#Voile_InputSystem_IsActionReleased_System_String_
  name: IsActionReleased
  nameWithType: InputSystem.IsActionReleased
  fullName: Voile.InputSystem.IsActionReleased
- uid: Voile.InputSystem.IsMouseButtonDown*
  commentId: Overload:Voile.InputSystem.IsMouseButtonDown
  href: Voile.InputSystem.html#Voile_InputSystem_IsMouseButtonDown_Voile_MouseButton_
  name: IsMouseButtonDown
  nameWithType: InputSystem.IsMouseButtonDown
  fullName: Voile.InputSystem.IsMouseButtonDown
- uid: Voile.MouseButton
  commentId: T:Voile.MouseButton
  parent: Voile
  href: Voile.MouseButton.html
  name: MouseButton
  nameWithType: MouseButton
  fullName: Voile.MouseButton
- uid: Voile.InputSystem.GetMouseWheelMovement*
  commentId: Overload:Voile.InputSystem.GetMouseWheelMovement
  href: Voile.InputSystem.html#Voile_InputSystem_GetMouseWheelMovement
  name: GetMouseWheelMovement
  nameWithType: InputSystem.GetMouseWheelMovement
  fullName: Voile.InputSystem.GetMouseWheelMovement
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: Voile.InputSystem.SetMousePosition*
  commentId: Overload:Voile.InputSystem.SetMousePosition
  href: Voile.InputSystem.html#Voile_InputSystem_SetMousePosition_System_Numerics_Vector2_
  name: SetMousePosition
  nameWithType: InputSystem.SetMousePosition
  fullName: Voile.InputSystem.SetMousePosition
- uid: Voile.InputSystem.GetMousePosition*
  commentId: Overload:Voile.InputSystem.GetMousePosition
  href: Voile.InputSystem.html#Voile_InputSystem_GetMousePosition
  name: GetMousePosition
  nameWithType: InputSystem.GetMousePosition
  fullName: Voile.InputSystem.GetMousePosition
- uid: Voile.InputSystem.HideCursor*
  commentId: Overload:Voile.InputSystem.HideCursor
  href: Voile.InputSystem.html#Voile_InputSystem_HideCursor
  name: HideCursor
  nameWithType: InputSystem.HideCursor
  fullName: Voile.InputSystem.HideCursor
- uid: Voile.InputSystem.ShowCursor*
  commentId: Overload:Voile.InputSystem.ShowCursor
  href: Voile.InputSystem.html#Voile_InputSystem_ShowCursor
  name: ShowCursor
  nameWithType: InputSystem.ShowCursor
  fullName: Voile.InputSystem.ShowCursor
- uid: Voile.InputSystem.IsCursorHidden*
  commentId: Overload:Voile.InputSystem.IsCursorHidden
  href: Voile.InputSystem.html#Voile_InputSystem_IsCursorHidden
  name: IsCursorHidden
  nameWithType: InputSystem.IsCursorHidden
  fullName: Voile.InputSystem.IsCursorHidden
- uid: Voile.InputSystem.SetAsHandled*
  commentId: Overload:Voile.InputSystem.SetAsHandled
  href: Voile.InputSystem.html#Voile_InputSystem_SetAsHandled
  name: SetAsHandled
  nameWithType: InputSystem.SetAsHandled
  fullName: Voile.InputSystem.SetAsHandled
- uid: Voile.InputSystem.AddInputMapping*
  commentId: Overload:Voile.InputSystem.AddInputMapping
  href: Voile.InputSystem.html#Voile_InputSystem_AddInputMapping_System_String_System_Collections_Generic_IEnumerable_Voile_InputAction__
  name: AddInputMapping
  nameWithType: InputSystem.AddInputMapping
  fullName: Voile.InputSystem.AddInputMapping
- uid: System.Collections.Generic.IEnumerable{Voile.InputAction}
  commentId: T:System.Collections.Generic.IEnumerable{Voile.InputAction}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<InputAction>
  nameWithType: IEnumerable<InputAction>
  fullName: System.Collections.Generic.IEnumerable<Voile.InputAction>
  nameWithType.vb: IEnumerable(Of InputAction)
  fullName.vb: System.Collections.Generic.IEnumerable(Of Voile.InputAction)
  name.vb: IEnumerable(Of InputAction)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: )
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: Voile.InputSystem.TryGetInputMappings*
  commentId: Overload:Voile.InputSystem.TryGetInputMappings
  href: Voile.InputSystem.html#Voile_InputSystem_TryGetInputMappings_System_String_System_Collections_Generic_IEnumerable_Voile_InputAction___
  name: TryGetInputMappings
  nameWithType: InputSystem.TryGetInputMappings
  fullName: Voile.InputSystem.TryGetInputMappings
- uid: System.Collections.Generic.Dictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
  commentId: T:System.Collections.Generic.Dictionary{System.String,System.Collections.Generic.List{Voile.InputAction}}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.Dictionary`2
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<string, List<InputAction>>
  nameWithType: Dictionary<string, List<InputAction>>
  fullName: System.Collections.Generic.Dictionary<string, System.Collections.Generic.List<Voile.InputAction>>
  nameWithType.vb: Dictionary(Of String, List(Of InputAction))
  fullName.vb: System.Collections.Generic.Dictionary(Of String, System.Collections.Generic.List(Of Voile.InputAction))
  name.vb: Dictionary(Of String, List(Of InputAction))
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: '>'
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.InputAction
    name: InputAction
    href: Voile.InputAction.html
  - name: )
  - name: )
- uid: System.Collections.Generic.Dictionary`2
  commentId: T:System.Collections.Generic.Dictionary`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<TKey, TValue>
  nameWithType: Dictionary<TKey, TValue>
  fullName: System.Collections.Generic.Dictionary<TKey, TValue>
  nameWithType.vb: Dictionary(Of TKey, TValue)
  fullName.vb: System.Collections.Generic.Dictionary(Of TKey, TValue)
  name.vb: Dictionary(Of TKey, TValue)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: )
